For the complete documentation index, see llms.txt. This page is also available as Markdown.

Server Package

Get list server flavors

get

List all available bare metal flavors in the specified VPC and region

Required scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
vpc_idstringRequired

The unique identifier of the VPC.

Responses
200

List all server types

application/json
idstringOptional

Unique identifier (UID) for the server flavor.

Example: 60b49548-22bf-4926-a0b9-4b9b569aae36
namestringOptional

Name of the server flavor.

Example: Metal Cloud GPU H100
limitnumberOptional

Maximum number of servers the user can deploy by a flavor.

Example: 4
batchNumbernumberOptional

Maximum number of server deployments allowed in a single batch

Example: 10
get/api/v2/vmware/vpc/<uuid(strict=False):vpc_id>/hpc/server_package
GET /api/v2/vmware/vpc/<uuid(strict=False):vpc_id>/hpc/server_package HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

List all server types

[
  {
    "id": "60b49548-22bf-4926-a0b9-4b9b569aae36",
    "name": "Metal Cloud GPU H100",
    "limit": 4,
    "raids": [
      {
        "level": 5,
        "name": "RAID 5",
        "description": "RAID 5 with distributed parity"
      }
    ],
    "hardware": {
      "cpu": "4th Gen Intel Xeon Scalable 100 cores | 1TB Memory",
      "gpu": "8x NVIDIA HGX H100 SXM5 | 1.1TB Memory",
      "storage": "3 x 3.84 NVMe SSD",
      "network": "Domestic 1 Gbps, International 100 Mbps"
    },
    "batchNumber": 10
  }
]

Last updated

Was this helpful?